package org.jk.system.mapper;




import org.jk.system.domain.TypeApp;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author takai
 * @date 2025-05-28
 */
public interface TypeAppMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param typeId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TypeApp selectAppTypeByTypeId(long typeId, String appId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param AppType 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TypeApp> selectAppTypeList(TypeApp appType);

    /**
     * 新增【请填写功能名称】
     *
     * @param AppType 【请填写功能名称】
     * @return 结果
     */
    public int insertAppType(TypeApp appType);

    /**
     * 修改【请填写功能名称】
     *
     * @param AppType 【请填写功能名称】
     * @return 结果
     */
    public int updateAppType(TypeApp appType);

    /**
     * 删除【请填写功能名称】
     *
     * @param typeId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppTypeByTypeId(long typeId, String appId);

}
